function y=mapACTG(refvalue,typemap)
% returns number mapping typemap==1 : A=1 C=2 G=3 T=4
% 	  	 	 typemap==2 : A=2 C=1 G=4 T=3
if (typemap == 1)
   if (strcmp(refvalue,'A'))
      y=1;
   elseif (strcmp(refvalue,'C'))
      y=2;
   elseif (strcmp(refvalue,'G'))
      y=3;
   elseif (strcmp(refvalue,'T'))
      y=4;
   else
      disp('Input not ACGT')
   end
else
   if (strcmp(refvalue,'A'))
      y=4;
   elseif (strcmp(refvalue,'C'))
      y=3;
   elseif (strcmp(refvalue,'G'))
      y=2;
   elseif (strcmp(refvalue,'T'))
      y=1;
   else
      disp('Input not ACGT')
   end
end
