function y=logpradmix(x,prdata);
%computes log likelihood of admixture x NW, 1-x SE
nrspresent=size(prdata,1);
%first allele
ifhaverefvalue1=zeros(nrspresent,1);
whererefvalue=find(prdata(:,2) == prdata(:,4));
ifhaverefvalue1(whererefvalue,1)=1;
%second allele
ifhaverefvalue2=zeros(nrspresent,1);
whererefvalue=find(prdata(:,2) == prdata(:,5));
ifhaverefvalue2(whererefvalue,1)=1;

temp1=x*    (prdata(:,6).*ifhaverefvalue1+(1-prdata(:,6)).*(1-ifhaverefvalue1))+ ...
     (1-x)* (prdata(:,7).*ifhaverefvalue1+(1-prdata(:,7)).*(1-ifhaverefvalue1));
temp2=x*    (prdata(:,6).*ifhaverefvalue2+(1-prdata(:,6)).*(1-ifhaverefvalue2))+ ...
     (1-x)* (prdata(:,7).*ifhaverefvalue2+(1-prdata(:,7)).*(1-ifhaverefvalue2));
y=-ones(1,nrspresent)*(log(temp1)+log(temp2));
